﻿
namespace XamGridDDS_RIACase.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;


    // The MetadataTypeAttribute identifies DimEmployeeMetadata as the class
    // that carries additional metadata for the DimEmployee class.
    [MetadataTypeAttribute(typeof(DimEmployee.DimEmployeeMetadata))]
    public partial class DimEmployee
    {

        // This class allows you to attach custom attributes to properties
        // of the DimEmployee class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class DimEmployeeMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private DimEmployeeMetadata()
            {
            }

            public Nullable<decimal> BaseRate { get; set; }

            public Nullable<DateTime> BirthDate { get; set; }

            public bool CurrentFlag { get; set; }

            public string DepartmentName { get; set; }

            public EntityCollection<DimEmployee> DimEmployee1 { get; set; }

            public DimEmployee DimEmployee2 { get; set; }

            public string EmailAddress { get; set; }

            public string EmergencyContactName { get; set; }

            public string EmergencyContactPhone { get; set; }

            public int EmployeeKey { get; set; }

            public string EmployeeNationalIDAlternateKey { get; set; }

            public byte[] EmployeePhoto { get; set; }

            public Nullable<DateTime> EndDate { get; set; }

            public string FirstName { get; set; }

            public string Gender { get; set; }

            public Nullable<DateTime> HireDate { get; set; }

            public string LastName { get; set; }

            public string LoginID { get; set; }

            public string MaritalStatus { get; set; }

            public string MiddleName { get; set; }

            public bool NameStyle { get; set; }

            public Nullable<int> ParentEmployeeKey { get; set; }

            public string ParentEmployeeNationalIDAlternateKey { get; set; }

            public Nullable<byte> PayFrequency { get; set; }

            public string Phone { get; set; }

            public Nullable<bool> SalariedFlag { get; set; }

            public bool SalesPersonFlag { get; set; }

            public Nullable<int> SalesTerritoryKey { get; set; }

            public Nullable<short> SickLeaveHours { get; set; }

            public Nullable<DateTime> StartDate { get; set; }

            public string Status { get; set; }

            public string Title { get; set; }

            public Nullable<short> VacationHours { get; set; }
        }
    }
}
